import numpy as np
from sklearn import model_selection
from sklearn.naive_bayes import GaussianNB
from sklearn import metrics

d = [ [0.016285, 0 ],
      [0.015167, 0 ],
      [0.015901, 0 ],
      [0.015644 , 0 ],
      [0.016793 , 0 ],
      [1.3672e-08, 1 ],
      [9.3241e-08, 1 ],
      [5.4259e-09, 1 ],
      [2.9000e-07, 1 ],
      [2.6606e-06, 1 ] ]

etiquetas = [ "rectángulo", "estrella" ]

X = np.array( d )
print( X.shape )

# Separamos los datos de entrenamiento y de prueba
Xentrena, Xprueba, yentrena, yprueba = model_selection.train_test_split( X[:,0], X[:,1], test_size = 2, random_state = 20 )
# np.savetxt( "Xprueba.txt", Xprueba )
# np.savetxt( "yprueba.txt", yprueba )
print( Xentrena.shape )
print( yentrena.shape )
Xentrena=Xentrena.reshape(-1, 1)
#yentrena=yentrena.reshape(-1, 1)
print( Xentrena.shape )
print( yentrena.shape )
Xprueba=Xprueba.reshape(-1, 1)
#yprueba=yprueba.reshape(-1, 1)

# Se usa el modelo de Bayes ingenuo 
gnb = GaussianNB()
gnb.fit(Xentrena, yentrena)

ypredichas = gnb.predict(Xentrena)
exactitud = metrics.accuracy_score( yentrena, ypredichas )
print( "Entrenamiento:", exactitud )

ypredichas = gnb.predict( Xprueba )
e = metrics.accuracy_score( yprueba, ypredichas )
print( "Prueba:", e )

print( gnb.classes_ )
print( gnb.class_prior_ )
print( gnb.class_count_ )
print( gnb.theta_ )
print( gnb.sigma_ )
print( gnb.epsilon_ )
