import sys
import numpy as np
import cv2

n = len( sys.argv )
if n != 2 :
	print( "Args: image_name" )
	sys.exit(1)

name = sys.argv[1]

Img1 = cv2.imread( name, cv2.IMREAD_GRAYSCALE )
rows, cols = Img1.shape
print( rows, cols )

Img1 = cv2.bitwise_not( Img1 )

n, Labels, stats, centroids = cv2.connectedComponentsWithStats( Img1 )
print( n )


i = 0
while i < n :
	print( i, stats[i,cv2.CC_STAT_HEIGHT],  stats[i,cv2.CC_STAT_WIDTH], stats[i,cv2.CC_STAT_AREA]  )
	i += 1

i = 2
while i < n :
	x1 =  stats[i, cv2.CC_STAT_LEFT]
	y1 =  stats[i, cv2.CC_STAT_TOP]
	x2 = x1 + stats[i,cv2.CC_STAT_WIDTH]
	y2 = y1 + stats[i,cv2.CC_STAT_HEIGHT]
	nombre = "{0:02d}.png".format(i-1)
	cv2.imwrite( nombre, Img1[y1:y2,x1:x2] )
	i += 1
